# eric3.QScintilla.LexerJava

Module implementing a Java lexer with some additional methods.

### Classes

LexerJava | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJava

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerJava, Lexer

### Methods

LexerJava | Constructor

### LexerJava (Constructor)

LexerJava(parent=None, name=None)

Constructor

parent
  parent widget of this lexer
name
  name of this lexer

Up